-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: stream-zip
Binary: python3-stream-zip
Architecture: all
Version: 0.0.83-3
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Homepage: https://github.com/uktrade/stream-zip
Description: Python function to construct a ZIP archive on the fly
 Python function to construct a ZIP archive on the fly - without having
 to store the entire ZIP in memory or disk.
 This is useful in memory-constrained environments, or when you would
 like to start returning compressed data before you've even retrieved
 all the uncompressed data.
 Generating ZIPs on-demand in a web server is a typical use case for
 stream-zip.
 .
 In addition to being memory efficient (with some limitations) stream-zip:
 .
  - Constructs ZIP files that can be stream unzipped,
    for example by stream-unzip
  - Can construct Zip64 ZIP files. Zip64 ZIP files allow sizes far
    beyond the approximate 4GiB limit of the original ZIP format
  - Can construct ZIP files that contain symbolic links
  - Can construct ZIP files that contain directories, including empty
    directories
  - Can construct password protected / AES-256 encrypted ZIP files
    adhering to the WinZip AE-2 specification
  - Allows the specification of permissions on the member files and
    directories (although not all clients respect them)
  - By default stores modification time as an extended timestamp.
    An extended timestamp is a more accurate timestamp than the original
    ZIP format allows
  - Provides an async interface (that uses threads under the hood)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/stream-zip
Vcs-Git: https://salsa.debian.org/debian-gis-team/stream-zip.git
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: architecture-is-64-bit, debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-hatchling, python3-pycryptodome, python3-pytest <!nocheck>, 7zip <!nocheck>, 7zip-standalone <!nocheck>, libarchive-tools <!nocheck>, unzip <!nocheck>
Package-List:
 python3-stream-zip deb python optional arch=all
Checksums-Sha1:
 04571d5ca7ef1af88efe917f55215db2daa7f20f 126386 stream-zip_0.0.83.orig.tar.gz
 3ca79525cd7deb27b3432ac898f676d535599694 4716 stream-zip_0.0.83-3.debian.tar.xz
Checksums-Sha256:
 fa97c7517a1467d10849f3cb8771576f95e7e1cd517542c704e4daf08666bf59 126386 stream-zip_0.0.83.orig.tar.gz
 6374d45714e2f02fb19e729a9a3bb60a8b3f4dc3b00f12bd9a719eca9759512b 4716 stream-zip_0.0.83-3.debian.tar.xz
Files:
 74c329d3804e99b50daec1af0d8c7e86 126386 stream-zip_0.0.83.orig.tar.gz
 c4964f0a70308a25b636c606310a8e45 4716 stream-zip_0.0.83-3.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJRBAEBCgA7FiEEO3DyCaX/1okDxHLF6/SKslePmBIFAmdek5MdHGFudG9uaW8u
dmFsZW50aW5vQHRpc2NhbGkuaXQACgkQ6/SKslePmBKGlRAAsJFw2RIwGE37YtG4
+rCSnpdaaYjS0FZkso5DYCrj/McZdihJjyEUC5XPLZubrHUcb9JDFWd2FTfZ2Ssw
V0tP+/lYIJIDiZizGkoRTiZeiYftmP8PujsyX68c0lHuRKOaZm6onAMUMT8IdXBk
Ivk92MyKgpI5/ZCqxGq08ie4nrs+TTfUj/BTfwUze0H4wO1Mafbh6hYYuEDpM3u1
7x4QlPtzDAA6XFN+ns7L9qCjxUZb8o8iapF+xU2aw6lzKGYGv6u4qS53BPw8Rukl
Pr/AYqPksndl2Qx5IadMeh09ox+r6mkqUSD7LpOiQJuLP0Pv9b5cLRMTz+xw07Uo
8/9ItGPqOyMoQp3NdytgHvzjFh1nFCNRnHEAVPBlGUFee1b7XBnQJv8oleqedd45
uGu+R5358gYyFDfGtq6lSJLTC+ivpS/fzpdSAt1r7N3z5lvsMfwLn+lo2shkf+k3
Uaeuu+deSd1HdCt0OewImlEl2bQUPen1vG6eQ0GVZ1xkRoN+5+It96czPTeBq24t
LQhn6URZ7YCxJgnwNYF7Z9BGlX0DbxGcr1pJxaYKSr6eB/2jk5NmCqLxhbk+zane
iRyyd/yVLEc597KJlHD/1eWVo7SAKSN3hcAschfb9sxGgDrLaLXWEY6sGCUD1CQA
GJBRDFWpUmeP4Rt92aiFIonUoqA=
=oXTb
-----END PGP SIGNATURE-----
